# ``twisted`.`python`.`modules`.`PythonAttribute``

class documentation

`class PythonAttribute: (source)`

View In Hierarchy

I represent a function, class, or other object that is present.

Method | `__init__` | Create a PythonAttribute. This is a private constructor. Do not construct me directly, use PythonModule.iterAttributes.
Method | `__repr__` | Undocumented
Method | `isLoaded` | Return a boolean describing whether the attribute this describes has actually been loaded into memory by importing its module.
Method | `iterAttributes` | Undocumented
Method | `load` | Load the value associated with this attribute.
Instance Variable | `name` | the fully qualified python name of the attribute represented by this class.
Instance Variable | `onObject` | a reference to a PythonModule or other PythonAttribute that is this attribute's logical parent.
Instance Variable | `pythonValue` | Undocumented
Instance Variable | `_loaded` | Undocumented

def __init__(self, name, onObject, loaded, pythonValue): (source)
Create a PythonAttribute. This is a private constructor. Do not construct me directly, use PythonModule.iterAttributes.

Parameters
name | the FQPN
onObject | see ivar
loaded | always True, for now
pythonValue | the value of the attribute we're pointing to.

def __repr__(self): (source)

Undocumented

Returns
`str` | Undocumented

def isLoaded(self): (source)

Return a boolean describing whether the attribute this describes has actually been loaded into memory by importing its module.

Note: this currently always returns true; there is no Python parser support in this module yet.

def iterAttributes(self): (source)

Undocumented

def load(self, default=_nothing): (source)
Load the value associated with this attribute.

Returns
an arbitrary Python object, or 'default' if there is an error loading it.

name = (source)
the fully qualified python name of the attribute represented by this class.
onObject = (source)
a reference to a PythonModule or other PythonAttribute that is this attribute's logical parent.
pythonValue = (source)

Undocumented

_loaded = (source)

Undocumented